CONMAN(1)

NAME
conman - ConMan client

SYNOPSIS
conman [OPTION]... [CONSOLE]...

DESCRIPTION
conman is a program for connecting to remote consoles being managed by conmand. Console names can be separated by spaces and/or commas. Globbing is used by default to match console names against the configuration, but regular expression matching can be enabled with the '-r' option.

conman supports three modes of console access: monitor (read-only), interactive (read-write), and broadcast (write-only). If neither the '-m' (monitor) nor '-b' (broadcast) options are specified, the console session is opened in interactive mode.

OPTIONS

-b  Broadcast to multiple consoles (write-only). Data sent by the client will be copied to all specified consoles in parallel, but console output will not be sent back to the client. This option can be used in conjunction with '-f' or '-j'.

-d destination
    Specify the location of the conmand daemon, overriding the default [127.0.0.1:7890]. This location may contain a hostname or IP address, and be optionally followed by a colon and port number.

-e character
    Specify the client escape character, overriding the default [&].

-f  Specify that write-access to the console should be "forced", thereby stealing the console away from existing clients having write privileges. The original clients are informed by conmand of who perpetrated the theft as their connections are terminated.

-F file
    Read console names/patterns from file. Only one console name may be specified per line. Leading and trailing whitespace, blank lines, and comments (i.e., lines beginning with a '#') are ignored.

-h  Display a summary of the command-line options.

-j  Specify that write-access to the console should be "joined", thereby sharing the console with existing clients having write privileges. The original clients are informed by conmand that a new client has been granted write privileges.

-l file
    Log console session output to file.

-L  Display license information.

-m  Monitor a console (read-only).

-q  Query conmand for consoles matching the specified names/patterns. Output from this query can be saved to file for use with the '-F' option.

-Q  Enable quiet-mode, suppressing informational messages. This mode can be toggled within a console session via the '&Q' escape.

-r  Match console names via regular expressions instead of globbing.

-v  Enable verbose mode.

-V  Display version information.

ESCAPE CHARACTERS
The following escapes are supported and assume the default escape character [&]:

&?  Display a list of currently available escapes.

&.  Terminate the connection.

&&  Send a single escape character.

&B  Send a "serial-break" to the remote console.

&E  Toggle echoing of client input.

&F  Switch from read-only to read-write via a "force".

&I  Display information about the connection.

&J  Switch from read-only to read-write via a "join".

&L  Replay up the the last 4KB of console output. This escape requires the console device to have logging enabled in the conmand configuration.

&M  Switch from read-write to read-only.

&Q  Toggle quiet-mode to display/suppress informational messages.

&R  Reset the node associated with this console. This escape requires a "resetcmd" to be specified in the conmand configuration.

&Z  Suspend the client.

ENVIRONMENT
The following environment variables override the default settings.

CONMAN_HOST
    Specifies the hostname or IP address at which to contact conmand, but may be overridden by the '-d' command-line option. A port number separated by a colon may follow the hostname (i.e., host:port), although the CONMAN_PORT environment variable takes precedence. If not set, the default host [127.0.0.1] will be used.

CONMAN_PORT
    Specifies the port on which to contact conmand, but may be overridden by the '-d' command-line option. If not set, the default port [7890] will be used.

CONMAN_ESCAPE
    The first character of this variable specifies the escape character, but may be overridden by the '-e' command-line option. If not set, the default escape character [&] will be used.

SECURITY
The client/server communications are not yet encrypted.

AUTHOR
Chris Dunlap <cdunlap@llnl.gov>

COPYRIGHT
Copyright (C) 2007-2022 Lawrence Livermore National Security, LLC.
Copyright (C) 2001-2007 The Regents of the University of California.

LICENSE
ConMan is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
conman.conf(5), conmand(8).

https://dun.github.io/conman/